// JavaScript Document
var xmlHttp=criaXMLHttpRequest();
var paginaResult = "resultados.php";
var resultadosId = "livros";
function init()
{

    carregarAutores()
    return;

}

function criaXMLHttpRequest() {
	var xmlHttp;
	if (window.ActiveXObject) {
		xmlHttp = new ActiveXObject("Microsoft.XmlHttp");
	}
	else if (window.XMLHttpRequest) {
		xmlHttp = new XMLHttpRequest();
	}
	return xmlHttp;
}

function carregarAutores()
{
  // continua somente se o objeto XMLHttpRequest no der problema
  if (xmlHttp && (xmlHttp.readyState == 4 || xmlHttp.readyState == 0))
  {
    var query = paginaResult;
    xmlHttp.open("GET", query, true);
    xmlHttp.onreadystatechange = mostraAutores;
    xmlHttp.send(null);
  }  
}	

function mostraAutores()
{
  // se readyState  4, l a resposta do servidor
  if (xmlHttp.readyState == 4)
  {
    // continua somente se o status for 200
    if (xmlHttp.status == 200)
    {    
	  // le a resposta
	  resposta = xmlHttp.responseText;
	  // erro no servidor?
	  if (resposta.indexOf("ERRNO") >= 0 
		  || resposta.indexOf("error") >= 0
		  || resposta.length == 0)
	  {
		// mostra a mensagem de erro
		alert("Erro no servidor:\n"+  resposta);
		// sai da funo
		return;
	  }
	  // o servidor respondeu em formato XML
	  respostaXml = xmlHttp.responseXML;        

	  var autores   = respostaXml.getElementsByTagName("autor");
	  
	  //total de elementos contidos na tag cidade
	  if(autores.length > 0) {
		 //percorre o arquivo XML paara extrair os dados
		 for(var i = 0 ; i < autores.length ; i++) {
			var autor = autores[i];
			//contudo dos campos no arquivo XML
			var codigo    =  autor.getElementsByTagName("codigo")[0].firstChild.nodeValue;
			var nome =  autor.getElementsByTagName("nome")[0].firstChild.nodeValue;
			geraCombo(codigo,nome,"autores");
		 }
	  }
    } 
    else 
    {          
      alert("Erro na leitura da resposta pelo servidor.")
    }
  } 
}
function carregarLivros(id)
{
  // continua somente se o objeto XMLHttpRequest no der problema
  if (xmlHttp && (xmlHttp.readyState == 4 || xmlHttp.readyState == 0))
  {
    var query = paginaResult+"?id="+id;
    xmlHttp.open("GET", query, true);
	xmlHttp.onreadystatechange = mostraLivros;
    xmlHttp.send(null);
  }  
}	
function mostraLivros()
{
  limpar("livros");
  // se readyState  4, l a resposta do servidor
  if (xmlHttp.readyState == 4)
  {
    // continua somente se o status for 200
    if (xmlHttp.status == 200)
    {    
	
	  // le a resposta
	  resposta = xmlHttp.responseText;
	  // erro no servidor?
	  if (resposta.indexOf("ERRNO") >= 0 
		  || resposta.indexOf("error") >= 0
		  || resposta.length == 0)
	  {
		// mostra a mensagem de erro
		alert("Erro no servidor:\n"+  resposta);
		// sai da funo
		return;
	  }
	  // o servidor respondeu em formato XML
	  respostaXml = xmlHttp.responseXML;        

	  var livros   = respostaXml.getElementsByTagName("livro");
	  
	  //total de elementos contidos na tag cidade
	  if(livros.length > 0) {
		 //percorre o arquivo XML paara extrair os dados
		 
		 for(var i = 0 ; i < livros.length ; i++) {
			var livro = livros[i];
			//contudo dos campos no arquivo XML
			var isbn    =  livro.getElementsByTagName("isbn")[0].firstChild.nodeValue;
			var titulo =  livro.getElementsByTagName("titulo")[0].firstChild.nodeValue;
			geraCombo(isbn,titulo,"livros");
		 }
	  }
    } 
    else 
    {          
      alert("Erro na leitura da resposta pelo servidor.")
    }
  } 
}

// mtodo que gera os dados do combo
function geraCombo(valor,rotulo,elemento)
{
	//cria um novo option dinamicamente  
	var campo = document.createElement("option");
	//atribui um valor ao elemento OPTION
	campo.value = valor;
	//atribui um rtulo ao elemento
	campo.text  = rotulo;
	//adiciona os valores ao select autores
	document.getElementById(elemento).options.add(campo);
}
// mtodo que limpa os dados do combo
function limpar(obj) {
		document.getElementById(obj).length = 0;
}