<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="/">
		<xsl:call-template name="dados_gerais" />
	
		<table class="linha" border="0" cellpadding="3" cellspacing="0">
			<tr>
				<th colspan="4" style="text-align:center">
				Livros Cadastrados
				</th>
			</tr>
			<tr>
				<th>ISBN</th>
				<th>Ttulo</th>
				<th>Edio</th>
				<th>Publicao</th>
			</tr>
		   <tbody id="dados">
		
			   <xsl:for-each select="resultados/livros/livro">
				
				 <xsl:element name="tr">
				 <xsl:if test="(position() mod 2 = 1)">
				 <xsl:attribute name="class">alternada</xsl:attribute>
				 </xsl:if>		        
				 <td><xsl:value-of select="isbn"/></td>
				 <td class="left"><xsl:value-of select="titulo"/></td>
				 <td><xsl:value-of select="edicao"/></td> 
				 <td><xsl:value-of select="publicacao"/></td>
				</xsl:element>
		
			   </xsl:for-each>   
		   </tbody>
		</table>

	<xsl:call-template name="dados_gerais" />	
	<xsl:call-template name="menu" />
</xsl:template>
  <xsl:template name="menu">
    <xsl:for-each select="resultados/parametros">
      <table>
        <tr>
 
          <td class="linha" colspan="2"> 
            <xsl:choose>
              <xsl:when test="anterior>0"> | 
                <xsl:element name="a" >
                  <xsl:attribute name="href" >#</xsl:attribute>
                  <xsl:attribute name="onclick">
                     paginar.carregarDadosNaPag(<xsl:value-of select="primeira"/>)
                  </xsl:attribute>
                  <img src="images/first.gif" border="0" alt="Primeira Pgina" />
                </xsl:element>
              </xsl:when> 
            </xsl:choose>		  
		    
            <xsl:choose>
              <xsl:when test="anterior>0"> |
                <xsl:element name="a" >
                  <xsl:attribute name="href" >#</xsl:attribute>
                  <xsl:attribute name="onclick">
                     paginar.carregarDadosNaPag(<xsl:value-of select="anterior"/>)
                  </xsl:attribute>
                   <img src="images/previous.gif" border="0" alt="Pgina Anterior" />
                </xsl:element>
              </xsl:when> 
            </xsl:choose>
			 
            <xsl:choose>
              <xsl:when test="proxima>0"> |
                <xsl:element name="a">
                  <xsl:attribute name = "href" >#</xsl:attribute>
                  <xsl:attribute name = "onclick">
                    paginar.carregarDadosNaPag(<xsl:value-of select="proxima"/>)
                  </xsl:attribute>
                  <img src="images/next.gif" border="0" alt="Prxima Pgina" /> 
                </xsl:element>
              </xsl:when> 
            </xsl:choose>
			  
			<xsl:choose>
              <xsl:when test="proxima>0"> |
                <xsl:element name="a">
                  <xsl:attribute name = "href" >#</xsl:attribute>
                  <xsl:attribute name = "onclick">
                    paginar.carregarDadosNaPag(<xsl:value-of select="ultima"/>)
                  </xsl:attribute>
                  <img src="images/last.gif" border="0" alt="ltima Pgina" />
                </xsl:element>
				 | 
              </xsl:when> 
            </xsl:choose> 
          </td>
 
        </tr>
      </table>
    </xsl:for-each>
  </xsl:template>
  
  <xsl:template name="dados_gerais">
    <xsl:for-each select="resultados/parametros">
      <table border="0">
        <tr>
          <td class="linhaleft">
            Total: <xsl:value-of select="total_geral" />
          </td> 
          <td class="right">
            Pgina <xsl:value-of select="pagina" />
            de <xsl:value-of select="total_paginas" />
          </td>  
        </tr>
      </table>
    </xsl:for-each>
  </xsl:template>  
</xsl:stylesheet>
