<?php
require_once('autores.class.php'); //inclui a classe Autores
// captura a ação
$acao = $_REQUEST['acao']; 
  
// cria a instância de Autores
$autores = new Autores();
// captura os campos enviados
$id = $_REQUEST['id'];
$nome= $_REQUEST['nome'];
$email= $_REQUEST['email'];
$dt_nasc= $_REQUEST['data'];
// modifica os dados caso haja caracteres especiais
$nome = htmlspecialchars($nome); 
$email=htmlspecialchars($email);
$dt_nasc=htmlspecialchars($dt_nasc);

// limpa a saída 
if(ob_get_length()) ob_clean();
// headers enviados para evitar cache no browser
header('Expires: Fri, 25 Dec 1980 00:00:00 GMT'); 
header('Last-Modified: ' . gmdate('D, d M Y H:i:s') . 'GMT'); 
header('Cache-Control: no-cache, must-revalidate'); 
header('Pragma: no-cache');
// gera a saída no formato XML
header('Content-type: text/xml; charset=UTF-8',true); 
echo '<?xml version="1.0" encoding="UTF-8"?>';
// valida a ação em INS_ROW (inserir), UPDATE_ROW (atualizar) e EXC_ROW (excluir)
if ($acao == 'INS_ROW')
{
  // chama o método inserir e insere os dados
  	$autores->inserir($nome, $email, $dt_nasc);
  	echo $autores->confirma(); // mostra a confirmação
}
else if ($acao == 'UPDATE_ROW')
{
  // chama o método atualizar para atualizar os dados
  $autores->atualizar($id, $nome, $email, $dt_nasc);
  echo $autores->confirma(); // mostra a confirmação
}
else if ($acao == 'EXC_ROW')
{
  // chama o método excluir
  $autores->excluir($id);
  echo $autores->confirma(); // mostra a confirmação
}
else echo $autores->geraXML(); // gera o XML de todos os dados
?>
