<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="/">
	<form id="formulario">
		<table class="linha" border="0" cellpadding="3" cellspacing="0">
			<tr>
				<th colspan="6" style="text-align:center">
				Autores Cadastrados
				</th>
			</tr>
			<tr>
				<th>Cdigo</th>
				<th>Nome</th>
				<th>e-mail</th>
				<th>Nascimento</th>
				<th colspan="2">Ao</th>
			</tr>
		   <tbody id="dados">		
			   <xsl:for-each select="autores/autor">
		
				 <xsl:element name="tr">
					<xsl:attribute name="id">
					  <xsl:value-of select="codigo"/>
					</xsl:attribute> 		        
				 <td><xsl:value-of select="codigo"/></td>
				 <td><xsl:value-of select="nome"/></td>
				 <td><xsl:value-of select="email"/></td> 
				 <td><xsl:value-of select="nascimento"/></td>
				 <td>
					<xsl:element name="a">
						<xsl:attribute name="href">#</xsl:attribute>
						<xsl:attribute name="onclick">
						  editarLinha(<xsl:value-of select="codigo"/>,true)
						</xsl:attribute> 
						<img src="images/edit.gif" border="0" alt="Editar Cadastro" />
					</xsl:element> 
				</td>
				<td>
					<xsl:element name="a">
						<xsl:attribute name="href">#</xsl:attribute>
						<xsl:attribute name="onclick">
						  excRow(<xsl:value-of select="codigo"/>)
						</xsl:attribute> 
						<img src="images/delete.gif" border="0" alt="Excluir Cadastro" />
					</xsl:element>
				 </td>
				</xsl:element>
		
			   </xsl:for-each>
			   <tr>
				  <td colspan="6">	
					 <xsl:element name="a">
						<xsl:attribute name="href">#</xsl:attribute>
						<xsl:attribute name="onclick">
						  insRow()
						</xsl:attribute>
						<img src="images/add.gif" border="0" />
					  </xsl:element>
				  </td>
			   </tr>			   
		   </tbody>
		</table>
	</form>

</xsl:template>
</xsl:stylesheet>
