<?php

class Resultados 
{      
  private $conexao;
  
  // construtor
  function __construct() 
  {   
    // cria a conexo com o MySQL
    $this->conexao = mysqli_connect("localhost", "edson", 
								"integrator","livraria");

  }
  // destrutor, fecha a conexo com o banco de dados  
  function __destruct() 
  {
    mysqli_close($this->conexao);
  }
  // gera o XML dos livros
  public function geraXML($id)
  {
    // cria a query que resultar nos dados
    $queryStr = "SELECT l.isbn, titulo, nome, editora_nome
				FROM livros l, autores a, 
					 editora e, publicacao p
				WHERE a.autor_id=p.autor_id 
					AND l.isbn=p.isbn 
					AND e.editora_id =p.editora_id 
					AND a.autor_id=$id";
 	// executa a query
 	$result = mysqli_query($this->conexao,$queryStr);
	
	$XML='<?xml version="1.0" encoding="UTF-8"?>';
    $XML.="\n<resultados>\n";
	if(@mysqli_num_rows($result)>0){
     while ( $row = mysqli_fetch_object($result) ) {
        $XML.="<livro>\n";
        $XML.="<isbn>" . $row->isbn . "</isbn>\n";
        $XML.="<titulo>" . stripslashes( $row->titulo ) . "</titulo>\n";
        $XML.="<editora>" . stripslashes( $row->editora_nome ) . "</editora>\n";
        $XML.="<autor>" . stripslashes( $row->nome ) . "</autor>\n";
        $XML.="</livro>\n";
     }
	}
    $XML.="</resultados>";
	
	return $XML; //retorna o XML gerado
  }
   public function autoresXML()
   {
    $queryStr = "SELECT * FROM autores";
 	// executa a query
 	$result = mysqli_query($this->conexao,$queryStr);
	
	$XML='<?xml version="1.0" encoding="UTF-8"?>';
    $XML.="\n<autores>\n";
     while ( $row = mysqli_fetch_object($result) ) {
        $XML.="<autor>\n";
        $XML.="<codigo>" . $row->autor_id . "</codigo>\n";
        $XML.="<nome>" . stripslashes( $row->nome ) . "</nome>\n";
        $XML.="</autor>\n";
     }
    $XML.="</autores>";

	return $XML; //retorna o XML gerado
   }
// end class
}
?>